Subject: Re: bug#9867: 24.0.90; quit-window should provide quit-window-hook

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 19 Aug 2019 19:22:00 -0700

Christoph Scholtes <[email-masked]> writes:

> A `quit-window-hook' should be provided for the `quit-window' function.
>
> See discussion here:
> http://lists.gnu.org/archive/html/emacs-devel/2011-10/msg00919.html

(I'm going through old bug reports that have unfortunately gotten no
attention yet.)

It seems like Chong OK'd this hook at the time, but it was never added
to Emacs.  I've now added it to Emacs 27, because it seems like a useful
addition to have -- now modes that need to do some clean-up thing before
doing whatever `quit-window' does can just add that to the hook
(buffer-locally).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no